Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » e(fx)clipse » e(fx)clipse for Java 9(Eclipse doesn't recognize the JavaFX SDK when using Java 9)
e(fx)clipse for Java 9 [message #1736957] Mon, 04 July 2016 15:10 Go to next message
Sven Ske is currently offline Sven SkeFriend
Messages: 1
Registered: July 2016
Junior Member
Currently running Neon with the Java 9 Beta plugin and e(fx)clips 2.4.0
If I want to use any JavaFX code, I should need to import javafx.base, but the IDE is reporting me that no module could be resolved with that name. Looks like e(fx)clips does't add them to the module path or something like that.

Mind giving some more information regarding this?
Re: e(fx)clipse for Java 9 [message #1737105 is a reply to message #1736957] Tue, 05 July 2016 18:16 Go to previous messageGo to next message
Thomas Schindl is currently offline Thomas SchindlFriend
Messages: 6363
Registered: July 2009
Senior Member
I filed a bug on that but i don't have the bug at hand - jdt because imho without any reasons filters only for java. I've a patch but did not had time to push it towards jdt but there's a thread on their mailing list where i request them to add support
Re: e(fx)clipse for Java 9 [message #1737160 is a reply to message #1737105] Wed, 06 July 2016 07:47 Go to previous message
Thomas Schindl is currently offline Thomas SchindlFriend
Messages: 6363
Registered: July 2009
Senior Member
http://dev.eclipse.org/mhonarc/lists/jdt-core-dev/msg02626.html

It looks like I have not filed a bug report for that yet! I'll do that
and provide my proposed patch there.

Tom

On 05.07.16 20:16, Thomas Schindl wrote:
> I filed a bug on that but i don't have the bug at hand - jdt because
> imho without any reasons filters only for java. I've a patch but did not
> had time to push it towards jdt but there's a thread on their mailing
> list where i request them to add support
Previous Topic:Eclipse Neon 4.6.0 with E(fx)clipse 2.4.0 not working
Next Topic:Neon and 2.4.0 site target linux 64 bit problem
Goto Forum:
  


Current Time: Tue Oct 24 02:12:27 GMT 2017

Powered by FUDForum. Page generated in 0.02803 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software